Bug 468594 - Can not start gnome-subtitles : Segmentation fault
Can not start gnome-subtitles : Segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-subtitles (Show other bugs)
10
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
: 478410 (view as bug list)
Depends On: 471749
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 11:23 EDT by Eric Ciroux
Modified: 2009-01-01 19:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-01 19:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 558312 None None None Never

  None (edit)
Description Eric Ciroux 2008-10-26 11:23:19 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.2) Gecko/2008100707 Fedora/3.0.2-1.fc10 Firefox/3.0.2

Trying to start gnome-subtitles from terminal, gnome-subtitles does not start with the following messages :

$ gnome-subtitles 
Got 55 languages.

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(gnome-subtitles:890): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Marshaling output signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.InvalidCastException: Cannot cast from source type to destination type.
  at GLib.Value.set_Val (System.Object value) [0x00000] 
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.SignalClosure.MarshalCallback(IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data)
   at GLib.Object.g_object_set_property(IntPtr , IntPtr , Value ByRef )
   at GLib.Object.SetProperty(System.String name, Value val)
   at Gtk.Widget.set_Visible(Boolean value)
   at GnomeSubtitles.GUI..ctor(GnomeSubtitles.EventHandlers handlers, Glade.XML ByRef glade)
   at GnomeSubtitles.Global.Init(GnomeSubtitles.Execution exec)
   at GnomeSubtitles.Global.Run(GnomeSubtitles.Execution execution)
   at GnomeSubtitles.Executable.Main(System.String[] args)
Segmentation fault


Reproducible: Always

Steps to Reproduce:
1. Just run «$ gnome-subtitles»
Comment 1 Eric Ciroux 2008-10-26 11:30:25 EDT
Did not get the chance to say hello, and thank you for packaging gnome-subtitles from Fedora 8.
I have been using gnome-subtitles since Fedora 6 and love this programme.

It does not start in rawhide-x86_64 (see details); running 2.6.27.3-44.fc10.x86_64 now.

Cheers
Eric
Comment 2 Julian Sikorski 2008-10-27 18:30:56 EDT
Could you try 0.8-6.fc10? That was rebuilt for newer gtk-sharp, maybe it will help.
Comment 3 Eric Ciroux 2008-10-28 08:57:49 EDT
Hello,

No luck.

Tried with the latest packages :
$ rpm -qa --last gtk-sharp\* gnome-sharp\* gnome-subtitles\*
gnome-subtitles-0.8-6.fc10                    Tue 28 Oct 2008 01:05:59 PM CET
gnome-sharp-devel-2.24.0-1.fc10               Tue 28 Oct 2008 01:05:51 PM CET
gtk-sharp-devel-1.0.10-20.fc10                Tue 28 Oct 2008 01:05:49 PM CET
gtk-sharp2-devel-2.12.4-1.fc10                Tue 28 Oct 2008 01:05:48 PM CET
gnome-sharp-2.24.0-1.fc10                     Tue 28 Oct 2008 01:05:46 PM CET
gtk-sharp-1.0.10-20.fc10                      Tue 28 Oct 2008 01:05:44 PM CET
gtk-sharp2-2.12.4-1.fc10                      Tue 28 Oct 2008 01:05:36 PM CET
$ uname -r
2.6.27.4-51.fc10.x86_64

Result attempting tu run from terminal :
$ gnome-subtitles
Got 55 languages.

(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
(gnome-subtitles:3204): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Marshaling output signal
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.InvalidCastException: Cannot cast from source type to destination type.
  at GLib.Value.set_Val (System.Object value) [0x00000] 
  at GLib.SignalClosure.MarshalCallback (IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data) [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at GLib.SignalClosure.MarshalCallback(IntPtr raw_closure, IntPtr return_val, UInt32 n_param_vals, IntPtr param_values, IntPtr invocation_hint, IntPtr marshal_data)
   at GLib.Object.g_object_set_property(IntPtr , IntPtr , Value ByRef )
   at GLib.Object.SetProperty(System.String name, Value val)
   at Gtk.Widget.set_Visible(Boolean value)
   at GnomeSubtitles.GUI..ctor(GnomeSubtitles.EventHandlers handlers, Glade.XML ByRef glade)
   at GnomeSubtitles.Global.Init(GnomeSubtitles.Execution exec)
   at GnomeSubtitles.Global.Run(GnomeSubtitles.Execution execution)
   at GnomeSubtitles.Executable.Main(System.String[] args)
$

There is no «Segmentation fault» at the end of the output.

Anything else I could try ?

Cheers
Eric
Comment 4 Julian Sikorski 2008-10-28 19:26:52 EDT
Could be caused by mono-2.0 as well. Reported upstream, let's see how responsive they are.
Comment 5 Bug Zapper 2008-11-25 23:15:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mauricio Teixeira 2008-12-14 15:51:27 EST
Problem persists in Fedora 10.

$ LANG=C rpm -qa --last gtk-sharp\* gnome-sharp\* gnome-subtitles\*
gnome-subtitles-0.8-6.fc10                    Sun Dec 14 18:34:41 2008
gnome-sharp-2.24.0-1.fc10                     Tue Nov 25 19:09:56 2008
gtk-sharp2-2.12.4-1.fc10                      Tue Nov 25 19:07:56 2008
Comment 7 Julian Sikorski 2008-12-14 15:54:26 EST
I know, unfortunately until gtk-sharp2 gets updated to 2.12.7 there is nothing we can do - please have a look at bug 471749 if you would like to know more.
Comment 8 Eric Ciroux 2008-12-21 05:40:15 EST
Good news:

gtk-sharp2-2.12.7-1.fc10 just been built in koji.
gnome-subtitles working now; problem solved.


How to get there:

1) download the relevant rpm from http://koji.fedoraproject.org/koji/buildinfo?buildID=75764
2) install the downloaded rpm with
# yum localinstall --nogpgcheck gtk-sharp2-2.12.7-1.fc10.1.ARCH.rpm
ARCH being i386 or x86_64
3) report successfull update on https://admin.fedoraproject.org/updates/gtk-sharp2-2.12.7-1.fc10.1
Comment 9 Mauricio Teixeira 2008-12-27 07:00:38 EST
Works for me.
Comment 10 Julian Sikorski 2008-12-29 13:33:28 EST
*** Bug 478410 has been marked as a duplicate of this bug. ***
Comment 11 Julian Sikorski 2009-01-01 19:32:29 EST
gtk-sharp2-2.12.7 has now been pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.